package com.cpms.project.sems.mapper;

import java.util.List;

import com.cpms.project.sems.domain.TSpecdevDzsb;

/**
 * 特种设备吊装设备台账Mapper接口
 *
 * @author admin
 * @date 2021-07-26
 */
public interface TSpecdevDzsbMapper
{
    /**
     * 查询特种设备吊装设备台账
     *
     * @param id 特种设备吊装设备台账ID
     * @return 特种设备吊装设备台账
     */
    public TSpecdevDzsb selectTSpecdevDzsbById(Long id);

    /**
     * 查询特种设备吊装设备台账列表
     *
     * @param tSpecdevDzsb 特种设备吊装设备台账
     * @return 特种设备吊装设备台账集合
     */
//    @DataScopePlant(deptAlias = "d")
    public List<TSpecdevDzsb> selectTSpecdevDzsbList(TSpecdevDzsb tSpecdevDzsb);

    List<TSpecdevDzsb> selectTSpecdevDzsbListByYear(TSpecdevDzsb tSpecdevDzsb);
    /**
     * 新增特种设备吊装设备台账
     *
     * @param tSpecdevDzsb 特种设备吊装设备台账
     * @return 结果
     */
    public int insertTSpecdevDzsb(TSpecdevDzsb tSpecdevDzsb);

    /**
     * 修改特种设备吊装设备台账
     *
     * @param tSpecdevDzsb 特种设备吊装设备台账
     * @return 结果
     */
    public int updateTSpecdevDzsb(TSpecdevDzsb tSpecdevDzsb);

    /**
     * 删除特种设备吊装设备台账
     *
     * @param id 特种设备吊装设备台账ID
     * @return 结果
     */
    public int deleteTSpecdevDzsbById(Long id);

    /**
     * 批量删除特种设备吊装设备台账
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSpecdevDzsbByIds(Long[] ids);

    void duplicateTSpecdevDzsb();
}
